// Generated by CoffeeScript 1.10.0
(function() {
  var code, indent, log, p, quote, ref, sane, say, type;

  type = require('./type').type;

  ref = require('./log'), log = ref.log, p = ref.p;

  code = function(text, line_prefix) {
    if (line_prefix == null) {
      line_prefix = '    ';
    }
    return log(indent(text, line_prefix));
  };

  indent = function(text, line_prefix) {
    var line, lines;
    if (line_prefix == null) {
      line_prefix = '    ';
    }
    lines = (function() {
      var i, len, ref1, results;
      ref1 = text.split("\n");
      results = [];
      for (i = 0, len = ref1.length; i < len; i++) {
        line = ref1[i];
        results.push("" + line_prefix + line);
      }
      return results;
    })();
    return lines.join("\n");
  };

  sane = function(text, chars) {
    var goes, stays;
    if (chars == null) {
      chars = 8;
    }
    if (type(text) !== 'string') {
      throw "expected string, got " + text;
    }
    stays = "[0-9a-f]{" + chars + "}";
    goes = [160, 256, 384, 512].map(function(bits) {
      return "[0-9a-f]{" + (bits / 4 - chars) + "}";
    }).join('|');
    return text.replace(RegExp("\\b(" + stays + ")(" + goes + ")\\b", "g"), "$1");
  };

  say = function(text) {
    var i, len, line, ref1, results;
    ref1 = text.split("\n");
    results = [];
    for (i = 0, len = ref1.length; i < len; i++) {
      line = ref1[i];
      results.push(log(line.trim()));
    }
    return results;
  };

  quote = function(text) {
    return "'" + text + "'";
  };

  module.exports = {
    code: code,
    indent: indent,
    quote: quote,
    sane: sane,
    say: say
  };

}).call(this);
